Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class DHParameters

    java.lang.Object
      |
      +--java.security.AlgorithmParametersSpi
            |
            +--com.ibm.crypto.fips.provider.DHParameters

All Implemented Interfaces:
  AlgorithmStatus

public final class DHParameters
extends java.security.AlgorithmParametersSpi
implements AlgorithmStatus

This class implements the parameter set used by the Diffie-Hellman key agreement as defined in the PKCS #3 standard.

Version:
  1.0, 05/19/03
Author:
  Jan Luehe, John Peck

Field Summary
`protected java.math.BigInteger` | `g`
`protected java.math.BigInteger` | `p`

Constructor Summary
`DHParameters()`

Method Summary
`protected byte[]` | `engineGetEncoded()`
`protected byte[]` | `engineGetEncoded(java.lang.String encodingMethod)`
`protected java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` | `engineInit(byte[] params)`
`protected void` | `engineInit(byte[] params, java.lang.String decodingMethod)`
`protected java.lang.String` | `engineToString()`
`protected byte[]` | `internalGetEncoded()`
`protected java.security.spec.AlgorithmParameterSpec` | `internalGetParameterSpec(java.lang.Class paramSpec)`
`protected void` | `internalInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` | `internalInit(byte[] params)`
`protected java.lang.String` | `internalToString()`
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### p

    protected java.math.BigInteger p

### g

    protected java.math.BigInteger g

Constructor Detail

### DHParameters

    public DHParameters()

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Overrides:
    `engineInit` in class `java.security.AlgorithmParametersSpi`

### internalInit

    protected void internalInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                         throws java.security.spec.InvalidParameterSpecException

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Overrides:
    `engineInit` in class `java.security.AlgorithmParametersSpi`

### internalInit

    protected void internalInit(byte[] params)
                         throws java.io.IOException

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String decodingMethod)
                       throws java.io.IOException

  Overrides:
    `engineInit` in class `java.security.AlgorithmParametersSpi`

### engineGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                                        throws java.security.spec.InvalidParameterSpecException

  Overrides:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`

### internalGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec internalGetParameterSpec(java.lang.Class paramSpec)
                                                                          throws java.security.spec.InvalidParameterSpecException

### engineGetEncoded

    protected byte[] engineGetEncoded()
                               throws java.io.IOException

  Overrides:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`

### internalGetEncoded

    protected byte[] internalGetEncoded()
                                 throws java.io.IOException

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String encodingMethod)
                               throws java.io.IOException

  Overrides:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`

### engineToString

    protected java.lang.String engineToString()

  Overrides:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

### internalToString

    protected java.lang.String internalToString()

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD